org.modeshape.sequencer.javafile

## Class ClassSourceFileRecorder

- java.lang.Object
- - org.modeshape.sequencer.javafile.ClassSourceFileRecorder

- All Implemented Interfaces:
    SourceFileRecorder

      public class ClassSourceFileRecorder
      extends Object
      implements SourceFileRecorder

  A source file recorder that writes the Java metadata from the source file to the repository, using the same structure as the default mode of the Java Class File sequencer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassSourceFileRecorder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `record(Sequencer.Context context, InputStream inputStream, long length, String encoding, Node outputNode)` Records a source file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassSourceFileRecorder

          public ClassSourceFileRecorder()

  - ### Method Detail

    - #### record

          public void record(Sequencer.Context context,
                    InputStream inputStream,
                    long length,
                    String encoding,
                    Node outputNode)
                      throws Exception

      Records a source file.
      Specified by:
        `record` in interface `SourceFileRecorder`
      Parameters:
        `context` - the sequencer context (cannot be `null`)
        `inputStream` - the stream being processed (cannot be `null`)
        `length` - the length of the java file
        `encoding` - the encoding to use (can be `null`)
        `outputNode` - the `Node` output (cannot be `null`)
      Throws:
        `Exception` - if anything fails during the sequencing process
      See Also:
        `SourceFileRecorder.record(org.modeshape.jcr.api.sequencer.Sequencer.Context, java.io.InputStream, long, java.lang.String, javax.jcr.Node)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.